checkpointing:
  every_n_epochs: 1
  monitor: val_total_loss
  save_last: true
  save_top_k: 3
dataset:
  atom_map:
  - C
  - H
  - N
  - O
  - F
  dataset_name: qm9
  dataset_size: null
  processed_data_dir: data/qm9
  raw_data_dir: data/qm9_raw
interpolant_scheduler:
  cosine_params:
    a: 2
    c: 2
    e: 1.5
    x: 1
  schedule_type:
    a: cosine
    c: cosine
    e: cosine
    x: cosine
lr_scheduler:
  base_lr: 0.0001
  restart_interval: 0
  restart_type: linear
  warmup_length: 1.0
  weight_decay: 1.0e-12
mol_fm:
  parameterization: endpoint
  prior_config:
    a:
      align: false
      kwargs: {}
      type: gaussian
    c:
      align: false
      kwargs: {}
      type: gaussian
    e:
      align: false
      kwargs: {}
      type: gaussian
    x:
      align: true
      kwargs:
        std: 1.0
      type: centered-normal
  target_blur: 0.0
  time_scaled_loss: true
  total_loss_weights:
    a: 0.4
    c: 1.0
    e: 2.0
    x: 3.0
  weight_ae: false
resume:
  run_id: 49ib2l39
training:
  batch_size: 64
  evaluation:
    mols_to_sample: 128
    sample_interval: 0.2
    val_loss_interval: 0.2
  max_num_edges: 400000.0
  num_workers: 8
  output_dir: runs/
  trainer_args:
    accelerator: gpu
    accumulate_grad_batches: 1
    devices: 1
    gradient_clip_algorithm: value
    gradient_clip_val: 1.0
    limit_val_batches: 0.1
    max_epochs: 1000
    num_nodes: 1
    strategy: auto
vector_field:
  convs_per_update: 1
  message_norm: 100
  n_cp_feats: 4
  n_hidden_edge_feats: 128
  n_hidden_scalars: 256
  n_message_gvps: 3
  n_molecule_updates: 8
  n_recycles: 1
  n_update_gvps: 3
  n_vec_channels: 16
  rbf_dim: 16
  rbf_dmax: 14
  separate_mol_updaters: true
  update_edge_w_distance: true
wandb:
  group: null
  id: 49ib2l39
  mode: online
  name: qm9-gauss-ep-edgedist
  project: mol-fm
  save_dir: runs
